aboutsummaryrefslogtreecommitdiffhomepage
path: root/third_party/protobuf/autogen.sh
diff options
context:
space:
mode:
authorGravatar Jakob Buchgraber <buchgr@google.com>2017-04-12 14:30:38 +0200
committerGravatar Jakob Buchgraber <buchgr@google.com>2017-04-13 14:32:42 +0200
commitea82aa115794b019472b44d4f94ed902c1217f30 (patch)
tree06ace57ced74604ddcfb545632cfc7eb768ff164 /third_party/protobuf/autogen.sh
parente1c31944c3bcc89722a8e77013b11110edf3b5f6 (diff)
protobuf: Update protobuf to @laszlocsomor's master at commit 421d909.
Update protobuf to @laszlocsomor's fork of protobuf. This is essentially the development version of protobuf 3.2.0 and windows specific fixes from laszlo. Those fixes will be merged into protobuf soon: https://github.com/google/protobuf/pull/2969). For instructions on how to update protobuf for bazel see README.bazel.md. Change-Id: I4f663955b0baeea3232b69ce32d9292427f5274a
Diffstat (limited to 'third_party/protobuf/autogen.sh')
-rwxr-xr-xthird_party/protobuf/autogen.sh51
1 files changed, 51 insertions, 0 deletions
diff --git a/third_party/protobuf/autogen.sh b/third_party/protobuf/autogen.sh
new file mode 100755
index 0000000000..9f26642585
--- /dev/null
+++ b/third_party/protobuf/autogen.sh
@@ -0,0 +1,51 @@
+#!/bin/sh
+
+# Run this script to generate the configure script and other files that will
+# be included in the distribution. These files are not checked in because they
+# are automatically generated.
+
+set -e
+
+if [ ! -z "$@" ]; then
+ for argument in "$@"; do
+ case $argument in
+ # make curl silent
+ "-s")
+ curlopts="-s"
+ ;;
+ esac
+ done
+fi
+
+
+# Check that we're being run from the right directory.
+if test ! -f src/google/protobuf/stubs/common.h; then
+ cat >&2 << __EOF__
+Could not find source code. Make sure you are running this script from the
+root of the distribution tree.
+__EOF__
+ exit 1
+fi
+
+# Check that gmock is present. Usually it is already there since the
+# directory is set up as an SVN external.
+if test ! -e gmock; then
+ echo "Google Mock not present. Fetching gmock-1.7.0 from the web..."
+ curl $curlopts -L -O https://github.com/google/googlemock/archive/release-1.7.0.zip
+ unzip -q release-1.7.0.zip
+ rm release-1.7.0.zip
+ mv googlemock-release-1.7.0 gmock
+
+ curl $curlopts -L -O https://github.com/google/googletest/archive/release-1.7.0.zip
+ unzip -q release-1.7.0.zip
+ rm release-1.7.0.zip
+ mv googletest-release-1.7.0 gmock/gtest
+fi
+
+set -ex
+
+# TODO(kenton): Remove the ",no-obsolete" part and fix the resulting warnings.
+autoreconf -f -i -Wall,no-obsolete
+
+rm -rf autom4te.cache config.h.in~
+exit 0